=== debian/changelog ===
libobjcryst (2021.1.2+ds1-3) unstable; urgency=medium

  * Second fix to autopkgtest dep

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Feb 2022 08:59:58 +0000

libobjcryst (2021.1.2+ds1-2) unstable; urgency=medium

  * Source-only upload
  * Fix autopkgtest deps

 -- Neil Williams <codehelp@debian.org>  Mon, 21 Feb 2022 17:21:44 +0000

libobjcryst (2021.1.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1001380: ITP: libobjcryst -- Object-
    Oriented Crystallographic Library for C++)

 -- Neil Williams <codehelp@debian.org>  Tue, 21 Dec 2021 08:21:08 +0000
