=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Multiarch
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/objcryst/usr/
	LIBRARY_PATH="/usr/lib/${DEB_HOST_MULTIARCH}/" scons -Q build=debug prefix=. with_shared_cctbx=1 install
	iconv -f ISO-8859-1 -t UTF-8 debian/objcryst/usr/include/ObjCryst/ObjCryst/UnitCell.h > UnitCell.h
	mv UnitCell.h debian/objcryst/usr/include/ObjCryst/ObjCryst/UnitCell.h
	dh_installdirs
	dh_install
	dh_auto_install
	$(RM) -r debian/objcryst/usr/newmat/ debian/objcryst/usr/cctbx/cctbx/
	$(RM) -r debian/objcryst/usr/ObjCryst/ debian/objcryst/usr/SConscript*
	$(RM) -r debian/libobjcryst0/debian

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r .sconsign.dblite debian/objcryst sconscript.local site_scons/gitarchive.cfg
	$(RM) examples/objcryst_test
	find . -name "*.pyc" -delete
