=== debian/watch ===
version=4

opts="repacksuffix=+ds1,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libobjcryst-$1.tar.gz%" \
   https://github.com/diffpy/libobjcryst/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
