=== debian/changelog ===
libobjcryst (2022.1.4+ds1-2) unstable; urgency=medium

  * Team upload.
  * Remove the range check reversion patch.
  * Patch: Calculate constraints from symmetry before bounds-checking.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2023 14:44:04 -0400

libobjcryst (2022.1.4+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Exclude bundled cctbx and newmat libraries from source tarball.
  * Refresh patches. Rework scons_debian.patch to determine the version from
    the Debian changelog.
  * Patch: Fix the example, used in the autopkgtest.
  * Patch: Revert the range check that broke our autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2023 08:45:33 -0400
