=== debian/control ===
Source: libobjcryst
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Neil Williams <codehelp@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 scons,
 libcctbx-dev,
 libboost-dev,
 libnewmat10-dev,
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/diffpy/libobjcryst
Vcs-Browser: https://salsa.debian.org/science-team/libobjcryst
Vcs-Git: https://salsa.debian.org/science-team/libobjcryst.git
Rules-Requires-Root: no

Package: libobjcryst-dev
Section: libdevel
Architecture: amd64
Depends: libobjcryst0 (= ${binary:Version}), ${misc:Depends}
Description: Object-Oriented Crystallographic Library for C++ (headers)
 libobjcryst expands the ObjCryst++ source to make it easier
 to use as a system shared lirbary but does not include GUI related
 files from ObjCryst++.
 .
 This package contains the developer headers.

Package: libobjcryst0
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Object-Oriented Crystallographic Library for C++
 libobjcryst expands the ObjCryst++ source to make it easier
 to use as a system shared lirbary but does not include GUI related
 files from ObjCryst++.
 .
 This package contains the shared library.
