=== debian/tests/control ===
Tests: example-testlib
Depends: @, g++
Restrictions: allow-stderr
Architecture: amd64
